Bug 56294 - EDITING: Comment lost when in right one of 2 merged cells
Summary: EDITING: Comment lost when in right one of 2 merged cells
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 88355 (view as bug list)
Depends on:
Blocks: Calc-Comments Calc-Merge-Split
  Show dependency treegraph
 
Reported: 2012-10-22 20:36 UTC by Rainer Bielefeld Retired
Modified: 2020-07-22 21:26 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-10-22 20:36:40 UTC
Steps how to reproduce with "LibreOffice 3.6.3.1” German UI/ German Locale [Build-ID: f8fce0b] on German WIN7 Home Premium (64bit)

1. Download / Open attachment 68921 [details] of Bug 56279
2. Activate Navigator, check comments
   You see "11", ""12", "13"
3. Select cells B5:C5 using Mouse
4. Menu 'Format -> Merge Cells -> Merge and Center Cells
   Bug: Comment "11" lost

Problem is no longer visible with parallel installation of Master "LOdev  3.7.0.0.alpha0+   -  ENGLISH UI / German Locale  [Build ID: 370m0(Build:0)]"  {tinderbox: @6, pull time 2012-10-20 14:21:35} on German WIN7 Home Premium (64bit) with separate User Profile for Master Branch

Already [Reproducible] with Server Installation of "LibreOffice 3.5.1.2 German UI/Locale [Build-ID: dc9775d-05ecbee-0851ad3-1586698-727bf66] on German WIN7 Home Premium (64bit) 

Was ok with 3.3.3

@peter.weber@ims.co.at:
Can you confirm this problem?
Comment 1 Peter Weber 2012-10-23 08:28:16 UTC
Problem is reproducible with LibreOffice 3.6.2.2 English on SuSE Linux 12.1 x86_64:

1. Using attachment 68921 [details] (sample201.ods): Contains comments in B5 ("11), E5 ("22") and I5 ("33").
2. If I select cells A5:B5 using the mouse
3. Menu Format -> Merge Cells -> Merge and Center Cells 
   ==> Comment "11" is lost
Comment 2 Rainer Bielefeld Retired 2012-10-23 09:12:42 UTC
New Due to comment 1

@Peter Weber:
Thank you for confirmation!

@Spreadsheet Team
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug or forward the Bug if it's not your turf (and remove others in team from CC).
Comment 3 Matthew Francis 2015-01-13 06:58:53 UTC
*** Bug 88355 has been marked as a duplicate of this bug. ***
Comment 4 Matthew Francis 2015-01-13 07:01:56 UTC
Still occurs in 4.3.4.1, 4.4rc and 4.5 master
Comment 5 QA Administrators 2016-01-17 20:02:43 UTC Comment hidden (obsolete)
Comment 6 Timur 2017-02-01 13:49:22 UTC Comment hidden (obsolete)
Comment 7 Laurent BP 2017-02-11 16:51:03 UTC
Hi,

Several cases can be encountered, when merging several cells, and requesting moving contents (and comments) to first cell:
1. There is only *one* commented cell in the area to be merged, and it is the *first* cell: comment is preserved and not modify. It already works like that.
2. There is only *one* commented cell in the area to be merged, but it is NOT the first cell: comment should be moved to the first cell, with its formats (text, area, line). It is what is requested in this bug report.
3. There are *several* commented cells in the area to be merged and the *first* cell has a comment: comments should be concatenated to first one, but formats will be lost (like for contents).
4. There are *several* commented cells in the area to be merged but the *first* cell do NOT have comment: first comment should be moved to first cell and other comments should be concatenated to first one, but formats will be lost (like for contents).

How should comments be concatenated in 3. and 4.? I suggest to add a new line between comments, contrary to contents which are concatenated with blanks.

In case 4., what is the first comment? For instance, when merging A1:B2, if there is no comment in A1, but comment in A2 and B1, which one is the first? I would suggest B1, but should it be language dependent?
Comment 8 Eike Rathke 2017-02-17 23:44:20 UTC Comment hidden (obsolete)
Comment 9 Laurent BP 2017-02-21 14:09:42 UTC
(In reply to Eike Rathke from comment #8)
> An empty line between each concatenated comment seems fine.
> For #4, B1 seems fine. In other words, concatenate row-wise from lower
> columns to highre columns. This should not be language dependent (I assume
> you mean script dependent) as for languages written in RTL scripts the sheet
> area can be (and usually is) mirrored as well, with column A being the
> rightmost column.
> I suggest to refrain from any inspection of the comment content itself.

Hi Eike,
Could you have a look to my proposition
https://gerrit.libreoffice.org/34162/
Many thanks in advance.
Comment 10 Xisco Faulí 2017-09-11 08:41:58 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2018-09-12 02:38:46 UTC Comment hidden (obsolete)
Comment 12 Timur 2019-05-13 12:21:08 UTC
Repro 6.3+